Loading...
Searching...
No Matches
reference.c File Reference

Dublin Core references handling. More...

`#include "reference_priv.h"`
`#include "list.h"`
`#include "debug_priv.h"`
Include dependency graph for reference.c:

## Macros

#define | NS_DUBLINCORE BAD_CAST "http://purl.org/dc/elements/1.1/"
#define | DC_ITEM_TO_DOM(ITEM)
#define | DC_DOM_SCAN(ITEM)
#define | DC_ITEM_CLONE(ITEM)

## Functions

struct oscap_reference * | oscap_reference_new (void)
void | oscap_reference_free (struct oscap_reference *ref)
xmlNode * | oscap_reference_to_dom (struct oscap_reference *ref, xmlNode *parent, xmlDoc *doc, const char *elname)
struct oscap_reference * | oscap_reference_new_parse (xmlTextReaderPtr reader)
struct oscap_reference * | oscap_reference_clone (const struct oscap_reference *ref)

## Detailed Description

Dublin Core references handling.

## Macro Definition Documentation

## DC_DOM_SCAN

#define DC_DOM_SCAN | ( |  | ITEM | ) |

Value:
do { \
if (oscap_streq((const char*)cur->name, #ITEM)) \
ref->ITEM = (char*) xmlNodeGetContent(cur); \
} while(0)

## DC_ITEM_CLONE

#define DC_ITEM_CLONE | ( |  | ITEM | ) |

Value:
do { new_ref->ITEM = oscap_strdup(ref->ITEM); } while(0)

## DC_ITEM_TO_DOM

#define DC_ITEM_TO_DOM | ( |  | ITEM | ) |

Value:
do { \
if (ref->ITEM != NULL) \
xmlNewTextChild(ref_node, ns_dc, BAD_CAST #ITEM, BAD_CAST ref->ITEM); \
} while(0)